# $Revision: 1.15 $, $Date: 2008-05-24 13:31:56 $

%define	module	shm

Summary:	Python's Shared Memory Module
Summary(pl.UTF-8):	Moduł Pythona do obsługi pamięci dzielonej
Name:		python-%{module}
Version:	1.2.2
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://nikitathespider.com/python/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	da6f51301262605c99c3813019831c50
URL:		http://nikitathespider.com/python/shm/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object interface to System V shared memory
IPC, present in most Unix systems.

%description -l pl.UTF-8
Ten moduł udostępnia obiektowy interfejs do komunikacji między
procesami opartej na pamięci współdzielonej, jaka jest dostępna
w większości systemów uniksowych.

%prep
%setup -q -n   %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--install-data %{_datadir} \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/shm.so
%{py_sitedir}/shm_wrapper.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-shm.spec,v $
Revision 1.15  2008-05-24 13:31:56  matkor
- Version 1.2.2-1. Hope this is same module. Anyway old URL seems dead to me...

Revision 1.14  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.12  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.11  2004/12/26 17:52:45  saq
- release 4 for rebuild with python 2.4

Revision 1.10  2004/08/19 10:53:08  undefine
- release 3

Revision 1.9  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.7  2003/12/02 00:04:39  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.6  2003/08/21 08:21:55  qboosh
- cleanup

Revision 1.5  2003/08/20 21:30:23  ankry
- removed md5: don't use distfiles - it's C file

Revision 1.4  2003/08/20 16:11:14  matkor
- Forgotten url added.

Revision 1.3  2003/08/20 16:05:10  matkor
- Release 1. pl descr. added. md5. STBR for Ra pls.

Revision 1.2  2003/08/20 14:31:22  wrobell
- fixed install requirements
- fixed prep section

Revision 1.1  2003/08/20 14:09:16  matkor
- Init spec. NFY - I'm unable to fix trival %prep section :(.
